Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1695759 - ninja-build: build for EPEL6
Summary: ninja-build: build for EPEL6
Keywords:
Status: ON_QA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ninja-build
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 17:53 UTC by Carl George
Modified: 2019-04-11 23:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Carl George 2019-04-03 17:53:32 UTC
Description of problem:
I'm looking to help get some software added to EPEL6 so they're available for the [manylinux2010 initiative](https://www.python.org/dev/peps/pep-0571/).  One of these is zchunck, which needs meson, which needs ninja-build.  Rebuilding the epel7 spec file on CentOS 6 worked fine for me locally.  Please request an el6 branch and build it.

Additional info:
https://github.com/rpm-software-management/createrepo_c/issues/145

Comment 1 Igor Gnatenko 2019-04-03 20:05:30 UTC
I'll leave this to co-maintainers to pick this up.

Comment 2 Carl George 2019-04-04 13:02:46 UTC
I can handle this myself if added as a co-maintainer.

Comment 3 Fedora Update System 2019-04-04 14:23:49 UTC
ninja-build-1.7.2-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-76763433e3

Comment 4 Fedora Update System 2019-04-05 02:57:13 UTC
ninja-build-1.7.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-76763433e3

Comment 5 Fedora Update System 2019-04-10 14:03:53 UTC
ninja-build-1.7.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-76763433e3

Comment 6 Fedora Update System 2019-04-11 23:44:54 UTC
ninja-build-1.7.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-76763433e3


Note You need to log in before you can comment on or make changes to this bug.